./misc/p5-Locale-Maketext, Perl framework for localization

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.23nb2, Package name: p5-Locale-Maketext-1.23nb2, Maintainer: pkgsrc-users

It is a common feature of applications (whether run directly, or via
the Web) for them to be "localized" -- i.e., for them to a present an
English interface to an English-speaker, a German interface to a
German-speaker, and so on for all languages it's programmed with.
Locale::Maketext is a framework for software localization; it provides
you with the tools for organizing and accessing the bits of text and
text-processing code that you need for producing localized applications.


Required to run:
[lang/perl5]

Master sites: (Expand)

SHA1: a6e109a016e8afd0770dfe68e7318ad86016ff95
RMD160: 9f90ca6034a531a50c191a876113d02dc83bbc63
Filesize: 50.48 KB

Version history: (Expand)


CVS history: (Expand)


   2013-12-02 13:21:56 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Remove p5-I18N-LangTags references in preparation for package removal.
Bump PKGREVISION.
   2013-05-31 14:42:58 by Thomas Klausner | Files touched by this commit (2880)
Log message:
Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.
   2012-10-08 11:57:42 by Aleksej Saushev | Files touched by this commit (239)
Log message:
Drop PKG_DESTDIR_SUPPORT setting, "user-destdir" is default these days.
   2012-10-03 23:59:10 by Thomas Klausner | Files touched by this commit (2798)
Log message:
Bump all packages that use perl, or depend on a p5-* package, or
are called p5-*.

I hope that's all of them.
   2011-08-14 15:45:17 by OBATA Akio | Files touched by this commit (24)
Log message:
Revision bump after updating perl5 to 5.14.1.
   2010-09-04 14:18:53 by Jens Rehsack | Files touched by this commit (1)
Log message:
Mark I18N::LangTags being used from Perl5 core (if module is maintained again in \ 
future)
   2010-09-04 13:52:17 by Jens Rehsack | Files touched by this commit (1)
Log message:
Locale::Maketext is newer in core since 5.10 - and the CPAN module seems
currently not maintained. Mark 1.13 broken so far.
   2010-08-21 18:37:14 by Stoned Elipot | Files touched by this commit (1724) | Package updated
Log message:
Bump the PKGREVISION for all packages which depend directly on perl,
to trigger/signal a rebuild for the transition 5.10.1 -> 5.12.1.

The list of packages is computed by finding all packages which end
up having either of PERL5_USE_PACKLIST, BUILDLINK_API_DEPENDS.perl,
or PERL5_PACKLIST defined in their make setup (tested via
"make show-vars VARNAMES=..."), minus the packages updated after
the perl package update.

sno@ was right after all, obache@ kindly asked and he@ led the
way. Thanks!